OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros | Typedefs | Functions | Variables
mpool_gpusm.h File Reference
`#include "ompi_config.h"`
`#include "opal/class/opal_list.h"`
`#include "ompi/class/ompi_free_list.h"`
`#include "ompi/mca/mpool/mpool.h"`

Go to the source code of this file.

## Data Structures
struct | mca_mpool_gpusm_registration_t
struct | mca_mpool_gpusm_component_t
struct | mca_mpool_base_resources_t
struct | mca_mpool_gpusm_module_t

## Macros
#define | MEMHANDLE_SIZE 8
#define | EVTHANDLE_SIZE 8

## Typedefs
typedef struct mca_mpool_gpusm_registration_t | mca_mpool_gpusm_registration_t
typedef struct mca_mpool_gpusm_component_t | mca_mpool_gpusm_component_t
typedef struct mca_mpool_base_resources_t | mca_mpool_base_resources_t
typedef struct mca_mpool_gpusm_module_t | mca_mpool_gpusm_module_t

## Functions
OMPI_DECLSPEC | OBJ_CLASS_DECLARATION (mca_mpool_gpusm_registration_t)
void | mca_mpool_gpusm_module_init (mca_mpool_gpusm_module_t *mpool)
int | mca_mpool_gpusm_register (mca_mpool_base_module_t *mpool, void *addr, size_t size, uint32_t flags, mca_mpool_base_registration_t **reg)
| register block of memory
int | mca_mpool_gpusm_deregister (mca_mpool_base_module_t *mpool, mca_mpool_base_registration_t *reg)
| deregister memory
int | mca_mpool_gpusm_find (struct mca_mpool_base_module_t *mpool, void *addr, size_t size, mca_mpool_base_registration_t **reg)
| find registration for a given block of memory More...
void | mca_mpool_gpusm_finalize (struct mca_mpool_base_module_t *mpool)
| finalize mpool More...
int | mca_mpool_gpusm_ft_event (int state)
| Fault Tolerance Event Notification Function. More...

## Variables
OMPI_DECLSPEC mca_mpool_gpusm_component_t | mca_mpool_gpusm_component

## Function Documentation

void mca_mpool_gpusm_finalize | ( | struct mca_mpool_base_module_t * | mpool | ) |

finalize mpool

finalize mpool

References OBJ_DESTRUCT.

int mca_mpool_gpusm_find | ( | mca_mpool_base_module_t * | mpool,
|  | void * | addr,
|  | size_t | size,
|  | mca_mpool_base_registration_t ** | reg
| ) |  |

find registration for a given block of memory

find registration for a given block of memory

The find and register functions are the same thing for this memory pool.

References mca_mpool_gpusm_register().

int mca_mpool_gpusm_ft_event | ( | int | state | ) |

Fault Tolerance Event Notification Function.

Parameters

  state | Checkpoint Stae

Returns
  OMPI_SUCCESS or failure status